PDA

View Full Version : opengl 1.2



hwj_just
04-08-2005, 10:16 PM
hi
I need to use opengl1.2 for the purpose of 3d texture,but my opengl is 1.1. I want to know how could I use opengl1.2?Do I need to download it?And how to install it?
I just download the graphic card driver of geforce fx 5200 which support opengl1.5
Thank you very much!

powerpad
04-08-2005, 10:39 PM
you can check your version with delphi3d.net's
glinfo program which lists information related to your graphic card (vendor, glversion, extensions)

or query it yourself by

glGetString(GL_VERSION);

openGL version 1.2 is a subset of 1.5 and as such you can start doing opengl version 1.2 things

zero_t9
04-08-2005, 10:47 PM
powerpad and others, HI:

My OpenGL settings are
GL_VERSION "1.3.3717 Win2000 Release"
GL_VENDOR "ATI Technologies Inc."
GL_RENDERER "Radeon 9600 x86/SSE2"

I was trying to download latest OpenGL from
https://support.ati.com/ics/support/default.asp?deptID=894&task=knowledge&folderID=27

But, I could NOT find 2.0 or 1.5 anyway? Do you have any idea?


Originally posted by powerpad:
you can check your version with delphi3d.net's
glinfo program which lists information related to your graphic card (vendor, glversion, extensions)

or query it yourself by

glGetString(GL_VERSION);

openGL version 1.2 is a subset of 1.5 and as such you can start doing opengl version 1.2 things

powerpad
04-09-2005, 03:39 AM
you cannot download "opengl version 1.5" but
the latest catalyst drivers for your ati card directly from ati's site these drivers will support opengl 1.5 and as I read HERE (http://www.humus.ca/) ATI has released new drivers a few days ago that support the opengl 2.0 specification

ATI CATALYST DRIVER (https://support.ati.com/ics/support/default.asp?deptID=894&task=knowledge&folderID=27)

so enjoy opengl 2.0 on your ati board :D